/***************************************************************************
*    Copyright 2000  Broadcom Corporation
*    All Rights Reserved
*    No portions of this material may be reproduced in any form without the
*    written permission of:
*             Broadcom Corporation
*             16251 Laguna Canyon Road
*             Irvine, California  92618
*    All information contained in this document is Broadcom Corporation
*    company private, proprietary, and trade secret.
*
****************************************************************************
*
*    Filename: apposCfgCustom.h
*    Creation Date: 27 Dec 2001 (v0.00)
*    VSS Info:
*        $Revision: 1.1 $
*        $Date: 2002/08/21 17:54:16 $
*
****************************************************************************
*    Description:
*
*     Overrides default build options in apposCfg.h
*
****************************************************************************/


#ifndef APPOS_CFG_CUSTOM_H
#define APPOS_CFG_CUSTOM_H

/*
 * The version of this file which exists in the \inc\cfg\custom\default
 * directory should be EMPTY.
 *
 * ALL customizations should go into a copy of this file located in the
 * appropriate custom build configuration directory:
 *
 *    e.g. inc\cfg\custom\3351vcm
 *
 * The prescence of an cfgXxxCustom.h file in the custom configuration directory
 * precludes the inclusion of the same file from the \inc\cfg\custom\default directory.
 *
 * The empty versions of the files are provided so that if no defaults need
 * to be overridden, then no copy of the file has to exist in the custom
 * build configuration directory.
 *
 * ALL default values for options should be located in:
 *
 *    \inc\cfg\cfgXxx.h
 *
 * This comment block may be removed from copies of this file located in
 * a custom build configuration directory.
 */


/*
 * All customizations require the default build options to be undefined, and then
 * redefined to the custom value.
 *
 *    e.g.  #undef  GLOBAL_CFG_MAX_ENDPT
 *          #define GLOBAL_CFG_MAX_ENDPT  2
 */


#endif   /* APPOS_CFG_CUSTOM_H */
