/***************************************************************************
*    Copyright 2000  Broadcom Corporation
*    All Rights Reserved
*    No portions of this material may be reproduced in any form without the
*    written permission of:
*             Broadcom Corporation
*             16251 Laguna Canyon Road
*             Irvine, California  92618
*    All information contained in this document is Broadcom Corporation
*    company private, proprietary, and trade secret.
*
****************************************************************************
*
*    Filename: udpnet.h
*    Creation Date: 27 Oct 2001 (v0.00)
*    VSS Info:
*        $Revision: 1.1 $
*        $Date: 2002/08/21 17:54:34 $
*
****************************************************************************
*    Description:
*
*     This header file contains prototypes for NET UDP utililty functions
*
****************************************************************************/

#ifndef _UDPDEF_H
#define _UDPDEF_H


#if defined(__cplusplus)
extern "C"
{
#endif

/*
*****************************************************************************
** FUNCTION:   bcmNetUdpInit
**
** PURPOSE:    Initialize the UDP NET module
**
** PARAMETERS: none
**
**
** RETURNS:    NET_STATUS_OK or error code
**
** NOTE:
*****************************************************************************
*/
NET_STATUS bcmNetUdpInit( void );

/*
*****************************************************************************
** FUNCTION:   bcmNetUdpDeinit
**
** PURPOSE:    Shutdown the UDP NET module
**
** PARAMETERS: none
**
** RETURNS:    NET_STATUS_OK or error code
**
** NOTE:
*****************************************************************************
*/
NET_STATUS bcmNetUdpDeinit( void );


#if defined(__cplusplus)
}
#endif

#endif /* _UDPDEF_H */

