@echo off

REM - File:   makelibs.bat
REM - Author: T Clack

if "%1" == "clean" goto clean


REM ====================================================================
REM	Make The OS Lib
REM ====================================================================
cd OsLib
call make -f makefileVx
cd ..

REM ====================================================================
REM	Make The Kerb Lib
REM ====================================================================
cd krb5
call make -f makefileVx
cd ..

REM ====================================================================
REM	Make The Parse Lib
REM ====================================================================
cd ParseLib
call make -f makefileVx
cd .. 
 
REM ====================================================================
REM	Make The SecCrypto Lib
REM ====================================================================
cd CryptoLib\SecLib
call make -f makefileVx
cd ..\.. 
goto finish

REM=========================================================================

:clean
REM ====================================================================
REM	Make sure all old libs are removed.
REM ====================================================================
cd ..\Libs
rm *.a
cd ..\Lib_Kerb_Src

REM ====================================================================
REM	Clean The OS Lib
REM ====================================================================
cd OsLib
call make -f makefileVx clean
cd ..

REM ====================================================================
REM	Clean The Kerb Lib
REM ====================================================================
cd krb5
call make -f makefileVx clean
cd ..

REM ====================================================================
REM	Clean The Parse Lib
REM ====================================================================
cd ParseLib
call make -f makefileVx clean
cd .. 
 
REM ====================================================================
REM	Clean The SecCrypto Lib
REM ====================================================================
cd CryptoLib\SecLib
call make -f makefileVx clean
cd ..\.. 


:finish

